		<?php $newsletter = get_field('newsletter', 'options'); ?>
		<section class="newsletter cover-bg" style="background-image: url(<?php echo $newsletter['background']; ?>);">
				<div class="container">
					<div class="row align-center-v">
						<?php if ($newsletter['title']): ?>
						<div class="col-md-5 col-sm-5 col-xs-12">
							<h2 class="title"><?php echo $newsletter['title']; ?></h2>
						</div>
						<?php endif; ?>

						<div class="col-md-7 col-sm-7 col-xs-12">
							<div class="newsletter-form">
								<?php echo do_shortcode('[gravityform id="2" title="false" description="false" tabindex="20" ajax="true"]'); ?>
							</div>
						</div>
					</div>
				</div>
		</section><!-- /footer-top -->

		<footer class="footer">
	        <div class="container">
	            <div class="row">
                    <div class="col-md-3 col-sm-12 col-xs-12">
                    	<div class="footer-logo">
	                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php the_field('theme_logo', 'option'); ?>" alt="Liquor Store Logo" class="img-responsive"></a>
	                    </div>
                    </div>

                    <div class="col-md-9 col-sm-12 col-xs-12">

                    	<div class="widget col-md-6 col-sm-12 col-xs-12">
	                        <h4 class="widget-title"><?php _e('Information', 'lq_store'); ?></h4>
	                       
	                        <?php wp_nav_menu( 
		                        array(
		                            'menu'               => 'Primary menu',
		                            'theme_location'     => 'menu-1',
		                            'depth'              => 2,
		                            'container'          => 'false',
		                            'menu_class'         => 'footer-menu list-unstyled col-md-6 col-sm-6 col-xs-6 col',
		                            'menu_id'            => '',
		                            'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
		                            'walker'             => new wp_bootstrap_navwalker()
		                            ) 
		                        ); 
		                    ?>

		                    <?php wp_nav_menu( 
		                        array(
		                            'menu'               => 'Secondary menu',
		                            'theme_location'     => 'menu-2',
		                            'depth'              => 2,
		                            'container'          => 'false',
		                            'menu_class'         => 'footer-menu list-unstyled col-md-6 col-sm-6 col-xs-6 col',
		                            'menu_id'            => '',
		                            'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
		                            'walker'             => new wp_bootstrap_navwalker()
		                            ) 
		                        ); 
		                    ?>
	                    </div>

	                    <?php
	                    $phone = get_field('phone', 'options');
	                    $address = get_field('address', 'options');
	                    if ($phone || $address): ?>
	                    <div class="widget col-md-3 col-sm-6 col-xs-6 col">
	                        <h4 class="widget-title"><?php _e('Contact', 'lq_store'); ?></h4>
	                        <ul class="list-unstyled">
	                            <li class="address">
	                                <div class="icon pull-left">
	                                    <i class="icon-location"></i>
	                                </div>
	                                <a href="<?php echo $address['google_map_url']; ?>" target="_blank"><?php echo $address['name']; ?> <br><?php echo $address['address']; ?></a>
	                            </li>

	                            <li class="phone"> 
	                                <div class="icon pull-left">
	                                    <i class="icon-phone"></i>
	                                </div>
	                                <span>Tel: <a href="tel:<?php echo $phone; ?>"><?php echo $phone; ?></a></span>
	                            </li>
	                        </ul>
	                    </div>
	                    <?php endif; ?>

	                    <?php $social_media = get_field('social_media', 'options'); if($social_media): ?>
	                    <div class="widget col-md-3 col-sm-6 col-xs-6 col">
	                        <h4 class="widget-title"><?php _e('Follow us', 'lq_store'); ?></h4>
	                        <ul class="social-media list-inline">
	                            <?php foreach ($social_media as $social): ?>
	                            <li><a href="<?php echo $social['url']; ?>" class="bg-<?php echo $social['icon']['value']; ?>" target="_blank"><i class="<?php echo $social['icon']['value']; ?>"></i></a></li>
	                        	<?php endforeach; ?>
	                        </ul>
	                    </div>
	                    <?php endif; ?>
                    </div>
                    
	            </div>
	            <div class="row copyright">
	                <p class="text-center">© Copyrights 2017 <a href="<?php echo esc_url( home_url( '/' ) ); ?>">Liquor Store. </a><span>All rights reserved.</span></p>
	            </div>
	        </div>
	    </footer><!-- /footer -->
		<?php wp_footer(); ?>
	</body>
</html>