<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
		<![endif]-->
		<?php $theme_color = get_field('lawyer_theme_color', 'options'); if($theme_color): ?>
		<style type="text/css">
			/* color */
			a:hover, a:focus, .header .navbar .navbar-collapse .nav li a:hover, .header .navbar .navbar-collapse .nav li a:focus, .header .navbar .navbar-collapse .nav li.active a, .banner:hover .slick-arrow:hover:before, .banner:hover .slick-arrow:focus:before, .about-us .highlights li span:hover, .about-us .highlights li span:focus, .about-us .highlights li span:before, .blog-post .content .entry-head .entry-title:hover, .blog-post .content .entry-head .entry-title:focus, .blog-post .content .entry-head a:hover, .blog-post .content .entry-head a:focus, .single-post .blog-post .entry-meta a:hover, .single-post .blog-post .entry-meta a:focus, .single-post .blog-post .entry-meta a a:hover, .single-post .blog-post .entry-meta a a:focus, .single-event .blog-post .entry-meta a:hover, .single-event .blog-post .entry-meta a:focus, .single-event .blog-post .entry-meta a a:hover, .single-event .blog-post .entry-meta a a:focus, .quick-contact li a:hover, .quick-contact li a:focus, .footer .copyright p a:hover, .footer .copyright p a:focus, .widget a:hover, .widget a:focus {
				color: <?php echo $theme_color; ?> !important;
			}

			/* Border color */
			input:hover, input:focus, select:hover, select:focus, textarea:hover, textarea:focus, .btn.btn-border:hover, .btn.btn-border:focus, .blog-post .content .entry-footer .read_more:hover, .blog-post .content .entry-footer .read_more:focus, #pagination .pagination .page-numbers.current, .navbar-toggle .icon-bar .inner {
				border-color: <?php echo $theme_color; ?> !important;
			}

			/* Background color */
			input[type="submit"], .btn.btn-base, .btn.btn-border:hover, .btn.btn-border:focus, .header .navbar .navbar-collapse .nav li.menu-btn a, #colorbox #cboxWrapper #cboxContent #cboxClose:hover, #colorbox #cboxWrapper #cboxContent #cboxClose:focus, .blog-post .content .entry-footer .read_more:hover, .blog-post .content .entry-footer .read_more:focus, .blog-pg .blog-post .media .entry-meta, #pagination .pagination .page-numbers.current, .newsletter .newsletter-form .gform_wrapper form .gform_footer input[type="submit"], .slick-dots li.slick-active, .contact-form .gform_wrapper .gform_footer input[type="submit"] {
				background: <?php echo $theme_color; ?> !important;
			}

			/* opacity color */
		</style>
		<?php endif; ?>
		<?php wp_head(); ?>
	</head>
	<body <?php body_class(); ?>>
		<header class="header">
			<!-- Navbar -->
			<div class="navbar navbar-default">
			  	<div class="container">
					<div class="navbar-header">
						<div class="logo">
						 	<a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php the_field('theme_logo', 'option'); ?>" alt=""></a>
						 </div>

					  	<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
							<span class="icon-bar"><span class="inner"></span></span>
							<span class="icon-bar"><span class="inner"></span></span>
							<span class="icon-bar"><span class="inner"></span></span>
					  	</button>
					</div>
			
					<div class="collapse navbar-collapse">

					  	<?php wp_nav_menu( 
	                        array(
	                            'menu'               => 'Primary menu',
	                            'theme_location'     => 'menu-1',
	                            'depth'              => 2,
	                            'container'          => 'false',
	                            'menu_class'         => 'nav navbar-nav',
	                            'menu_id'            => '',
	                            'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
	                            'walker'             => new wp_bootstrap_navwalker()
	                            ) 
	                        ); 
	                    ?>

					  	<div class="logo-middle text-center">
						 	<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php the_field('theme_logo', 'option'); ?>" class="img-responsive mx-auto" alt=""></a>
						</div>

					  	<?php wp_nav_menu( 
	                        array(
	                            'menu'               => 'Secondary menu',
	                            'theme_location'     => 'menu-2',
	                            'depth'              => 2,
	                            'container'          => 'false',
	                            'menu_class'         => 'nav navbar-nav navbar-right',
	                            'menu_id'            => '',
	                            'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
	                            'walker'             => new wp_bootstrap_navwalker()
	                            ) 
	                        ); 
	                    ?>
			
					</div><!-- /collapse -->
			  	</div><!-- /container-fluid -->
			</div><!--/ Navbar -->
		</header>

		<?php
			$hTitle = get_field('header_title', getPageID());
			$hSubTitle = get_field('header_sub_title', getPageID());
			$hBtn = get_field('header_button', getPageID());
			$hBackground = get_field('header_background', getPageID());
			$hTitle = $hTitle ? $hTitle : get_the_title();
			$pageid = get_permalink( get_option( 'page_for_posts' )) == $hBtn ? get_option('page_for_posts') :  url_to_postid( $hBtn );
			$hBg = $hBackground ? $hBackground : get_template_directory_uri()."/images/header-contact.jpg";
		if (!is_404() && !is_front_page()): ?>
		<div class="entry-header overlay cover-bg align-center" style="background-image: url(<?php echo $hBg; ?>)">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12 text-center">
						<h1 class="hero-title text-uppercase"><?php echo customizedtitle($hTitle); ?></h1>
						<?php if ($hSubTitle): ?>
							<p><?php echo $hSubTitle; ?></p>
						<?php endif; ?>
						
						<?php if ($hBtn): ?>
							<a href="<?php echo $hBtn; ?>" class="btn btn-base"><?php echo get_the_title($pageid); ?></a>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div><!-- /entry-header -->
		<?php endif; ?>