(function ($) {
	"use strict";

	/**
	 * Adobe typekit font
	 *
	 */
	try{Typekit.load({ async: true });}catch(e){};

	/**
	 * Sticky header
	 *
	 */
	$(window).scroll(function() {
		if ($(window).scrollTop() > 0) {
			$(".header").addClass("sticky");
		} 
		else {
			$(".header").removeClass("sticky");
		}
	});

	$(".navbar-toggle").click(function() {
		$(this).toggleClass('in');
	});

	/**
	 * Banner Slider
	 *
	 */
	$('.banner-slider').on('init', function(e, slick) {
        var $firstAnimatingElements = $('.banner-item:first-child').find('[data-animation]');
        doAnimations($firstAnimatingElements);
        // custom dots at right 
        $('.slick-dots-custom').append(slick.$dots[0]);    
    });

    $('.banner-slider').on('beforeChange', function(e, slick, currentSlide, nextSlide) {
        var $animatingElements = $('.banner-item[data-slick-index="' + nextSlide + '"]').find('[data-animation]');
        doAnimations($animatingElements); 
        // custom dots at right 
        $('.slick-dots-custom').append(slick.$dots[0]);  
    });

    $('.banner-slider').slick({
		autoplay: false,
		arrows: true,
		dots: true,
		draggable: true,
		infinite: true,
		slidesToShow: 1,
		nextArrow: '<button type="button" class="slick-next slick-arrow icon-arrow-right"></button>',
		prevArrow: '<button type="button" class="slick-prev slick-arrow icon-arrow-left"></button>',
		responsive: [
	    {
	      breakpoint: 767,
	      settings: {
	        arrows: false
	      }
	    }
	  ]
	});


    function doAnimations(elements) {
        var animationEndEvents = 'webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend';
        elements.each(function() {
            var $this = $(this);
            var $animationDelay = $this.data('delay');
            var $animationType = 'animated ' + $this.data('animation');
            $this.css({
                'animation-delay': $animationDelay,
                '-webkit-animation-delay': $animationDelay
            });
            $this.addClass($animationType).one(animationEndEvents, function() {
                $this.removeClass($animationType);
            });
        });
    };


    /**
	 * Product popup
	 *
	 */
	$(".product-popup").colorbox({
		iframe:false,
		innerWidth:684, 
		innerHeight:587,
		close: '<i class="icon-close"></i>',
	});


	/**
	 * Google map
	 *
	 */

	var mapElement = document.getElementById("gmap");
	if( mapElement) {
		var map;
		google.maps.event.addDomListener(window, 'load', init);
	}
	
	function init() {

		var google_map_setting = {
			latitude: ajax.gmap_latitude,
			longitude: ajax.gmap_longitude
		};
		
		if (ajax.map_icon) {	
			var image = ajax.map_icon;
		}
		
		
	    var mapOptions = {
	        zoom: 17,
	        disableDefaultUI: true,
	        draggable: false,
	        scrollwheel: false,
	        center: new google.maps.LatLng( google_map_setting.latitude, google_map_setting.longitude)
	    };

		var contentString = ajax.gmap_address;
		var infowindow = new google.maps.InfoWindow({
			content: contentString,
			maxWidth: 200
		});

	    var map = new google.maps.Map(mapElement, mapOptions);

	    var marker = new google.maps.Marker({
	        position: new google.maps.LatLng( google_map_setting.latitude, google_map_setting.longitude),
	        map: map,
	        //icon: image,
	    });

	    google.maps.event.addListener(marker, 'click', function() {
			infowindow.open(map, marker);
		});

		var center = map.getCenter();
		google.maps.event.addDomListener(window, 'resize', function() {
		    map.setCenter(center);
		});

	}

}(jQuery));