<?php 
/*
Template Name: About
*/
get_header(); ?>
	<div id="primary" class="content-area">

		<section class="about-us page-sec">
			<div class="container">
				<div class="row">
					<div class="col-md-6 col-sm-6 col-xs-12">
						<?php $about_title = get_field('about_title'); if ($about_title): ?>
						<div class="section-title">
							<?php if ($about_title['line_1']): ?>
								<h1 class="title stylish"><?php echo $about_title['line_1']; ?></h1>
							<?php endif; ?>

							<?php if ($about_title['line_2']): ?>
								<h1 class="title"><?php echo $about_title['line_2']; ?></h1>
							<?php endif; ?>
							<span class="separator"></span>
						</div>
						<?php endif; ?>

						<?php $about_content = get_field('about_content'); if ($about_content): ?>
						<div class="content">
							<?php echo $about_content; ?>
						</div>
						<?php endif; ?>
					</div>

					<?php $about_image = get_field('about_image'); if ($about_image): ?>
					<div class="col-md-6 col-sm-6 col-xs-12">
						<div class="media">
							<img src="<?php echo $about_image['url'] ?>" class="img-responsive" alt="<?php echo $about_image['alt']; ?>">
						</div>
					</div>
					<?php endif; ?>
				</div>

				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<span class="separator-bottom"></span>
					</div>
				</div>

				<?php $store_title = get_field('store_title'); if ($store_title): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<h1 class="title"><?php echo $store_title; ?></h1>
							<span class="separator"></span>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<div class="row latest-blog">
					<div class="blog-post col-md-12 col-sm-12 col-xs-12">
						<?php $hiL_img = get_field('highlights_image'); if ($hiL_img): ?>
	                    <div class="media pull-left">
							<img src="<?php echo $hiL_img['url']; ?>" class="img-responsive" alt="<?php echo $hiL_img['alt']; ?>">
	                    </div>
						<?php endif; ?>

						<?php $highlights = get_field('store_highlights'); if ($highlights): ?>
	                    <div class="content">
                    		<ul class="highlights list-unstyled">
                    			<?php foreach ($highlights as $highlight): ?>
                    			<li class="col-md-6 col-sm-6 col-xs-12"><span><?php echo $highlight['highlight']; ?></span></li>
                    			<?php endforeach; ?>
                    		</ul>
	                    </div>
						<?php endif; ?>
	                </div><!-- .article -->
				</div>
			</div>
		</section><!-- /about-us page-sec -->

	</div><!-- #primary -->
<?php get_footer(); ?>