<?php 
/*
Template Name: Contact
*/
get_header(); ?>
	<div id="primary" class="content-area">

		<section class="contact-us page-sec">
			<div class="container">
				<div class="row">
					<div class="col-md-8 col-sm-8 col-xs-12">

						<?php $title_line_1 = get_field('contact_title_line_1'); $title_line_2 = get_field('contact_title_line_2'); if($title_line_1 || $title_line_2): ?>
						<div class="section-title">
							<?php if ($title_line_1): ?>
								<h1 class="title stylish"><?php echo $title_line_1; ?></h1>
							<?php endif; ?>

							<?php if ($title_line_2): ?>
							<h1 class="title"><?php echo $title_line_2; ?></h1>
							<?php endif; ?>

							<span class="separator"></span>
						</div>
						<?php endif; ?>
						
						<?php 
						$sub_title = get_field('contact_sub_title'); 
						$contact_content = get_field('contact_content'); 
						if ($sub_title || $contact_content): ?>
						<div class="content">
							<?php if ($sub_title): ?>
							<h4><?php echo $sub_title; ?></h4>
							<?php endif; ?>

							<?php if ($contact_content): ?>
							<?php echo $contact_content; ?>
							<?php endif; ?>
						</div>
						<?php endif; ?>
					</div>
				</div>

				<div class="row">
					<div class="col-md-8 col-sm-12 col-xs-12">
						<div class="contact-form">
							<?php echo do_shortcode('[gravityform id="1" title="false" description="false" tabindex="10" ajax="true"]'); ?>
						</div>
					</div>

					<div class="col-md-4 col-sm-12 col-xs-12">
						<div class="box"><span></span>
							<ul class="quick-contact list-unstyled">
								<li class="title"><?php _e('Quick Contact', 'lq_store'); ?></li>
								<?php $address = get_field('address', 'options'); if ($address): ?>
									<li class="address">
										<div class="icon pull-left">
		                                    <i class="icon-location"></i>
		                                </div>
										<a href="<?php echo $address['google_map_url']; ?>" target="_blank"><?php echo $address['name']; ?> <br><?php echo $address['address']; ?></a>
									</li>
								<?php endif; ?>

								<?php $phone = get_field('phone', 'options'); if ($phone): ?>
									<li class="phone">
										<div class="icon pull-left">
		                                    <i class="icon-phone"></i>
		                                </div>
										<a href="tel:<?php echo $phone; ?>"><?php echo $phone; ?></a>
									</li>
								<?php endif; ?>

								<?php $email = get_field('email_address', 'options'); if ($email): ?>
									<li class="email">
										<div class="icon pull-left">
		                                    <i class="icon-email-mail-streamline"></i>
		                                </div>
										<a href="mailto:<?php echo $email; ?>"><?php echo $email; ?></a>
									</li>
								<?php endif; ?>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</section><!-- /contact-us -->
		
		<section id="gmap"></section>
	</div><!-- #primary -->
<?php get_footer(); ?>