<?php 
/*
Template Name: Events
*/
get_header(); ?>

	<div id="primary" class="content-area">
		
		<section class="blog-pg">
			<div class="container">
				<div class="row">
					<main class="site-main col-md-8 col-sm-8 col-xs-12">
						<?php $events_title = get_field('events_title', getPageID()); if ($events_title): ?>
						<div class="section-title">
							<?php  if ($events_title['line_1']): ?>
								<h1 class="title stylish"><?php echo $events_title['line_1']; ?></h1>	
							<?php endif; ?>

							<?php if ($events_title['line_2']): ?>
								<h1 class="title"><?php echo $events_title['line_2']; ?></h1>	
							<?php endif; ?>
							<span class="separator"></span>	
						</div>
						<?php endif; ?>

						<?php
							$args = array(
								'post_type' => 'event',
								'posts_per_page' => -1,
							);

							$loop = new WP_Query( $args );

							if ( $loop->have_posts() ) : while ( $loop->have_posts() ) : $loop->the_post(); 
							$featured_image = get_field('blog_post_featured_image'); 
							$imgSrc = $featured_image ? $featured_image['sizes']['post_737x280'] : get_template_directory_uri().'/images/placeholder.jpg'; 
						?>

						<article id="post-<?php the_ID(); ?>" <?php post_class('blog-post'); ?>>
			                <div class="media">
			                    <a href="<?php the_permalink(); ?>">
									<img src="<?php echo $imgSrc; ?>" class="img-responsive" alt="<?php the_title(); ?>">
								</a>
								<h3 class="entry-meta"><?php the_time('j'); ?><span class="month"><?php the_time('M'); ?></span><span class="year"><?php the_time('Y'); ?></span></h3>
			                </div>
			                <div class="content">
		                		<div class="entry-head">
			                    	<a href="<?php the_permalink(); ?>"><h4 class="entry-title"><?php Limit_Text(get_the_title(), 38); ?></h4></a>
		                    	</div>

			                    <div class="entry-content">
			                        <p><?php Limit_Text(get_the_content(), 359); ?></p>
			                    </div>

			                    <div class="entry-footer">
			                    	<a href="<?php the_permalink(); ?>" class="read_more text-uppercase"><?php _e('Read More', 'lq_store'); ?></a>
			                    </div>
			                </div>
			            </article><!-- .article -->

			            <?php endwhile; else : ?>
						<div class="entry-content col-md-12 col-sm-12 col-xs-12">
							<h3 class="no-content text-left" style="padding: 50px 0">
								<?php
									printf(
										wp_kses(
											/* translators: 1: link to WP admin new post page. */
											__( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'valley_insurance' ),
											array(
												'a' => array(
													'href' => array(),
												),
											)
										),
										esc_url( admin_url( 'post-new.php' ) )
									);
								?>
							</h3>
						</div>	
					<?php endif; ?>

					</main><!-- #main -->
					
					<?php get_sidebar(); ?>
				</div>
			</div>
		</section><!-- /blog-pg -->
	</div><!-- #primary -->

<?php get_footer();
