<?php 
/*
Template Name: Home
*/
get_header(); ?>
	<div id="primary" class="content-area">

		<?php $sliders = get_field('sliders'); if ($sliders): ?>
		<section class="banner">
			<div class="banner-slider">
				<?php foreach ($sliders as $slider): $slider_bg = $slider['image'] ? $slider['image'] : "http://placehold.it/1600x657?text=Add Slide Image" ?>
				<div class="banner-item cover-bg align-center-v" style="background-image: url(<?php echo $slider_bg; ?>);">
					<div class="container">
						<div class="row">
							<div class="col-md-12 col-sm-12 col-xs-12">
								<div class="content text-right">
									<?php if ($slider['title']): ?>
									<h1 class="hero-title text-uppercase" data-animation="<?php echo $slider['title_animation']; ?>" data-delay="<?php echo $slider['title_delay']; ?>"><?php echo $slider['title'] ?></h1>
									<?php endif; ?>

									<?php if ($slider['content']): ?>
										<p data-animation="<?php echo $slider['content_animation']; ?>" data-delay="<?php echo $slider['content_delay']; ?>"><?php echo $slider['content']; ?></p>
									<?php endif; ?>

									<?php if ($slider['button']): $pageid = get_permalink( get_option( 'page_for_posts' )) == $slider['button'] ? get_option('page_for_posts') : url_to_postid($slider['button']); ?>
										<a href="<?php echo $slider['button']; ?>" class="btn btn-base text-uppercase" data-animation="<?php echo $slider['btn_animation']; ?>" data-delay="<?php echo $slider['btn_delay']; ?>"><?php echo get_the_title($pageid); ?></a>
									<?php endif; ?>
								</div>
							</div>
						</div>
					</div>
				</div>
				<?php endforeach; ?>
			</div>
			<div class="slick-dots-wrap">
				<div class="container">
					<div class="row">
						<!-- load custom dots -->
						<div class="slick-dots-custom col-md-12 col-sm-12 col-xs-12">
						</div>
					</div>
				</div>
			</div>
		</section><!-- /banner -->
		<?php endif; ?>

		<?php $store_products = get_field('store_products'); if ($store_products): ?>
		<section class="visit-store">
			<div class="container">
				<div class="row">
					<?php $count = 1; foreach ($store_products as $product): ?>
					<div class="col-md-4 col-sm-6 col-xs-6 col">
						<div class="store-item item-<?php echo $count; ?> cover-bg align-center-v" style="background-image: url(<?php echo $product['bg_img']; ?>)">
							<style type="text/css">.store-item.item-<?php echo $count; ?>:before{background-color: <?php echo $product['bg_color']; ?>}</style>
							<div class="content col-md-7 col-sm-7 col-xs-7">
								<?php if ($product['sub_title']): ?>
								<h5 class="text-uppercase"><?php echo $product['sub_title']; ?></h5>
								<?php endif; ?>

								<?php if ($product['title']): ?>
								<h2 class="text-uppercase"><?php echo $product['title']; ?></h2>
								<?php endif; ?>

								<?php if ($product['btn']): ?>
								<a href="<?php echo $product['btn']; ?>" class="btn btn-border text-uppercase"><?php _e('Visit the store', 'lq-store'); ?></a>
								<?php endif; ?>
							</div>

							<?php if ($product['image']): ?>
							<div class="media col-md-5 col-sm-5 col-xs-5">
								<img src="<?php echo $product['image']['url']; ?>" alt="<?php echo $product['image']['alt']; ?>">
							</div>
							<?php endif; ?>
						</div>
					</div>
					<?php $count++; endforeach; ?>
				</div>
			</div>
		</section><!-- /visit_store -->
		<?php endif; ?>

		<section class="promo overlay cover-bg align-center" style="background-image: url(<?php the_field('promo_bg'); ?>);">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="content text-center">
							<?php $promo_title = get_field('promo_title'); if ($promo_title): ?>
							<h1><?php echo $promo_title['line_1']; ?><span><?php echo $promo_title['line_2']; ?></span></h1>
							<?php endif; ?>

							<?php $promo_btn = get_field('promo_button'); if ($promo_btn): $pageid = get_permalink( get_option( 'page_for_posts' )) == $promo_btn ? get_option('page_for_posts') : url_to_postid($promo_btn); ?>
							<a href="<?php echo $promo_btn; ?>" class="btn btn-base"><?php echo get_the_title($pageid); ?></a>
							<?php endif; ?>
						</div>
					</div>
				</div>
			</div>
			<svg class="uvc-tilt-left-seperator" xmlns="http://www.w3.org/2000/svg" version="1.1" fill="#fff" width="100%" height="80" viewBox="0 0 4 0.266661" preserveAspectRatio="none" style="height: 80px;"><polygon class="fil0" points="0,0 0,0.266661 4.1,0.266661 "></polygon></svg>
		</section><!-- /promo -->

		<section class="about-home">
			<div class="container">
				<div class="row">
					<div class="col-md-6 col-sm-6 col-xs-12">
						<?php $about_title = get_field('about_title'); if ($about_title): ?>
						<div class="section-title">
							<?php if ($about_title['line_1']): ?>
							<h1 class="title stylish"><?php echo $about_title['line_1']; ?></h1>
							<?php endif; ?>

							<?php if ($about_title['line_2']): ?>
							<h1 class="title"><?php echo $about_title['line_2']; ?></h1>
							<?php endif; ?>

							<span class="separator"></span>
						</div>
						<?php endif; ?>

						<div class="content">
							<?php if (get_field('about_content')): ?>
								<?php the_field('about_content'); ?>
							<?php endif; ?>

							<?php if (get_field('about_btn')): ?>
							<a href="<?php the_field('about_btn'); ?>" class="btn btn-border text-uppercase"><?php _e('Learn More', 'lq-store'); ?></a>
							<?php endif; ?>
						</div>
					</div>

					<?php $about_img = get_field('about_image'); if ($about_img): ?>
					<div class="col-md-6 col-sm-6 col-xs-12">
						<div class="media">
							<img src="<?php echo $about_img['url']; ?>" class="img-responsive" alt="<?php echo $about_img['alt']; ?>">
						</div>
					</div>
					<?php endif; ?>
					<div class="col-md-12 col-sm-12 col-xs-12">
						<span class="separator-bottom"></span>
					</div>
				</div>
			</div>
		</section><!-- /about-home -->

		<section class="latest-blog">
			<div class="container">
				<?php $latest_title = get_field('latest_blog_title'); if ($latest_title): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<h1 class="title"><?php echo $latest_title; ?></h1>
							<span class="separator"></span>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<div class="row">
					<?php 
						$args = array(
							'order' => 'DESC',
							'posts_per_page' => 2,
						);
						$loop = new WP_Query($args);
                        if ($loop->have_posts()) : while ($loop->have_posts()) : $loop->the_post();
						$featured_image = get_field('blog_post_featured_image'); 
						$imgSrc = $featured_image ? $featured_image['sizes']['post_275x340'] : get_template_directory_uri().'/images/placeholder.jpg'; 
					?>
                    <article id="post-<?php the_ID(); ?>" <?php post_class('blog-post col-md-6 col-sm-12 col-xs-12'); ?>>
	                    <div class="media pull-left">
	                        <a href="<?php the_permalink(); ?>">
								<img src="<?php echo $imgSrc; ?>" class="img-responsive" alt="<?php the_title(); ?>">
							</a>
	                    </div>
	                    <div class="content align-center-v">
	                    	<div class="center">
	                    		<div class="entry-head">
		                    		<span class="date"><?php the_time('M j, Y'); ?></span>
			                    	<a href="<?php the_permalink(); ?>"><h4 class="entry-title"><?php Limit_Text(get_the_title(), 38); ?></h4></a>
		                    	</div>

			                    <div class="entry-content">
			                        <p><?php Limit_Text(get_the_content(), 180); ?></p>
			                    </div>

			                    <div class="entry-footer">
			                    	<a href="<?php the_permalink(); ?>" class="read_more text-uppercase"><?php _e('Read More', 'lq-store'); ?></a>
			                    </div>
	                    	</div>
	                    </div>
	                </article><!-- .article -->
	            	<?php endwhile; endif; ?>
				</div>
			</div>
		</section><!-- /latest-blog -->

	</div><!-- #primary -->
<?php get_footer(); ?>