<?php 
/*
Template Name: Products
*/
get_header(); ?>
	<div id="primary" class="content-area">

		<section class="products-pg page-sec">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<?php $products_title = get_field('products_title'); if ($products_title): ?>
						<div class="section-title">
							<?php if ($products_title['line_1']): ?>
							<h1 class="title stylish"><?php echo $products_title['line_1']; ?></h1>
							<?php endif; ?>

							<?php if ($products_title['line_2']): ?>
							<h1 class="title"><?php echo $products_title['line_2']; ?></h1>
							<?php endif; ?>
							<span class="separator"></span>
						</div>
						<?php endif; ?>

						<?php $products_content = get_field('products_content'); if ($products_content): ?>
						<div class="content">
							<?php echo $products_content; ?>
						</div>
						<?php endif; ?>
					</div>
				</div>

				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<span class="separator-bottom"></span>
					</div>
				</div>

				<?php $store_title = get_field('products_store_title'); if ('$store_title'): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<h1 class="title"><?php echo $store_title; ?></h1>
							<span class="separator"></span>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<?php $products_store = get_field('products_store'); if ($products_store): ?>
				<div class="row products justify-content-center">
					<?php foreach ($products_store as $product): ?>
					<div class="col">
						<div class="product-item">
							<a href="<?php echo $product['popup_image']; ?>" class="product-popup" title="<?php echo $product['title']; ?> <span><?php echo $product['content']; ?></span>">
								<img src="<?php echo $product['image']['url']; ?>" class="img-responsive" alt="<?php echo $product['image']['alt']; ?>">
							</a>
						</div>
					</div>
					<?php endforeach; ?>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /order-delivery -->

	</div><!-- #primary -->
<?php get_footer(); ?>